with Ada.Text_IO;
use Ada.Text_IO;

package body ITI8590.Activity_Selection.IO is

   package Time_IO is new Integer_IO(Time);

   procedure Put(Item : in Time) is
   begin
      Time_IO.Put(Item);
   end Put;

   procedure Put(Item : in Activity) is
   begin
      Put('[');
      Put(Item.Start_Time);
      Put(", ");
      Put(Item.Finish_Time);
      Put(')');
   end Put;

   procedure Put(Item : in Activities) is
      Leading_Comma : Boolean := False;
   begin
      Put("{ ");
      for Activity_Index in Item'Range loop
         if Leading_Comma then
            Put(", ");
         else
            Leading_Comma := True;
         end if;
         Put(Item(Activity_Index));
      end loop;
      Put(" }");
   end Put;

end ITI8590.Activity_Selection.IO;
